sendEmail ()

Send an Email to a specific address.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/mail/MailInterface.asmx/sendEmail
https://api2.minihotel.cloud/agents/ws/mail/MailInterface.asmx/sendEmail

Request

ElementDescriptionType
DestinationMailTarget Email addressString
SubjectEmail SubjectString
TextEmail contentString

ℹ️

You can send emails with HTML code, if you use the tag inside the Node. e.g. <Text><![CDATA[<p>your html here</p></br><strong>test</strong>]]></Text>


Request Example

<Request>
	<Mail name="sendMail">
		<Authentication username="Test" password="3657488" />
		<Hotel id="sandbox" />
		<DestinationMail></DestinationMail>
		<Subject>Test Subject</Subject>
		<Text>This is a test message from the MiniHotel Team. &#10; We're testing the new email interface.</Text>
	</Mail>
</Request>

Response

ParameterDescriptionType
MailMain elementXElement
#DestinationEmailTarget Email addressString
#StatusStatus: OK or ErrorString

Response Example

<Response>
    <ServerInfo>
        <Name>Test</Name>
        <ResponseTime>4882 ms</ResponseTime>
        <DateTime>23/08/2018 13:59:37</DateTime>
    </ServerInfo>
    <Mail DestinationEmail=’[email protected]’ Status=' OK' />
</Response>

Error Codes

S014: Invalid email address
S015: Invalid subject
S016: Invalid email content

Example

<Response>
    <ServerInfo>
        <Name>Test</Name>
        <ResponseTime>33 ms</ResponseTime>
        <DateTime>23/08/2018 14:01:36</DateTime>
    </ServerInfo>
    <Errors>
        <Error code="S014" description="Invalid email address" />
    </Errors>
</Response>